Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2021-11-09 23:35:23

0001 #!/bin/bash
0002 
0003 function die { echo $1: status $2 ; exit $2; }
0004 
0005 echo "===== Test MF map regressions  ===="
0006 
0007 #Note: Only the most relevant tests are left uncommented since the full set is highly redundant and time consuming.
0008 
0009 #Run II, 3.8T
0010 (cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=static_DDD)      || die "MF regression failure, from xml, DDD, 3.8T" $?
0011 (cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=fromDB)          || die "MF regression failure, from DB, DDD, 3.8T" $?
0012 (cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=static_DD4hep)          || die "MF regression failure, from xml, DD4hep, 3.8T" $?
0013 (cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=fromDB_DD4hep)   || die "MF regression failure, from DB, DD4hep, 3.8T" $?
0014 
0015 #Run I, 3.8T
0016 #(cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=static_DDD era=RunI)      || die "MF regression failure, from xml, DDD, 3.8T RunI" $?
0017 (cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=fromDB era=RunI)          || die "MF regression failure, from DB, DDD, 3.8T RunI" $?
0018 #(cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=static_DD4hep era=RunI)          || die "MF regression failure, from xml, DD4hep, 3.8T RunI" $?
0019 #(cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=fromDB_DD4hep era=RunI)   || die "MF regression failure, from DB, DD4hep, 3.8T RunI" $?
0020 
0021 #Run II, 3.5T
0022 export CURRENT=16730
0023 #(cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=static_DDD current=$CURRENT)    || die "MF regression failure, from xml, DDD, 3.5T" $?
0024 #(cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=fromDB current=$CURRENT)        || die "MF regression failure, from DB, DDD, 3.5T" $?
0025 (cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=static_DD4hep current=$CURRENT)        || die "MF regression failure, from xml, DD4hep, 3.5T" $?
0026 #(cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=fromDB_DD4hep current=$CURRENT)  || die "MF regression failure, from DB, DD4hep, 3.5T" $?
0027 
0028 #Run II, 3T
0029 export CURRENT=14340
0030 (cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=static_DDD current=$CURRENT)    || die "MF regression failure, from xml, DDD, 3T" $?
0031 #(cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=fromDB current=$CURRENT)        || die "MF regression failure, from DB, DDD, 3T" $?
0032 #(cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=static_DD4hep current=$CURRENT)        || die "MF regression failure, from xml, DD4hep, 3T" $?
0033 #(cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=fromDB_DD4hep current=$CURRENT)  || die "MF regression failure, from DB, DD4hep, 3T" $?
0034 
0035 #Run II, 2T
0036 export CURRENT=9500
0037 #(cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=static_DDD current=$CURRENT)    || die "MF regression failure, from xml, DDD, 2T" $?
0038 #(cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=fromDB current=$CURRENT)        || die "MF regression failure, from DB, DDD, 2T" $?
0039 (cmsRun ${LOCAL_TEST_DIR}/regression.py producerType=fromDB_DD4hep current=$CURRENT) || die "MF regression failure, from DB, DD4hep, 2T" $?